Subject: bug#79145: 31.0.50; doc-view-mode with auto-revert-mode emitting message when it shouldn't

From: Michael Albinus <[email-masked]>
Date: Thu, 07 Aug 2025 19:43:47 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> If we want to have a general mechanism, we need a new variable
>> auto-revert-buffer-in-progress-p which could be consulted by the several
>> mode-specific revert functions implementations. Or we extend the meaning
>> of revert-buffer-in-progress-p to the values nil, t, and `auto'. The
>> latter indicates, that the revert process has been started by
>> auto-revert.
>
> I think I'd prefer the general-mechanism solution.  Would someone like
> to work on a patch along those lines?

I could work on the general mechanism. Which variant do you prefer,
extending revert-buffer-in-progress-p or a new auto-revert-buffer-in-progress-p?

Best regards, Michael.